Mail archive
alpine-devel

[alpine-devel] [PATCH] main/git: build man-pages for -doc subpackage

From: Eivind Uggedal <eivind_at_uggedal.com>
Date: Tue, 3 Dec 2013 11:53:37 +0000

---
 main/git/APKBUILD | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/main/git/APKBUILD b/main/git/APKBUILD
index cdad44cbdd9a..2b6e1c4fc361 100644
--- a/main/git/APKBUILD
+++ b/main/git/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=git
 pkgver=1.8.4.3
-pkgrel=1
+pkgrel=2
 pkgdesc="A distributed version control system"
 url="http://git.or.cz/"
 arch="all"
_at_@ -10,7 +10,7 @@ depends=
 replaces="git-perl"
 subpackages="$pkgname-doc $pkgname-svn $pkgname-perl $pkgname-bash-completion:completion"
 makedepends="zlib-dev openssl-dev curl-dev expat-dev perl-dev python-dev
-	pcre-dev"
+	pcre-dev asciidoc xmlto"
 source="http://git-core.googlecode.com/files/git-$pkgver.tar.gz
 	0001-config-add-_cb-suffix-to-callback-functions.patch
 	bb-tar.patch
_at_@ -47,6 +47,8 @@ package() {
 		"$pkgdir"/etc/init.d/git-daemon || return 1
 	install -Dm644 "$srcdir"/git-daemon.confd \
 		"$pkgdir"/etc/conf.d/git-daemon || return 1
+
+	make prefix=/usr DESTDIR="$pkgdir" install-man || return 1
 }
 
 perl() {
-- 
1.8.4.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Dec 03 2013 - 11:53:37 UTC